REST API v1
Workspace
Base URL https://your-site.com/wp-json/cliedesk-api/v1. See the overview for keys, scopes and errors.
Brands
GET /brands
Scope workspace:read · Cost 1
Parameters
| Name | Type | Description |
|---|---|---|
archived | query · boolean |
Field definitions
GET /fields
Scope workspace:read · Cost 1
Parameters
| Name | Type | Description |
|---|---|---|
scope | query · string | One of: conversation, contact, organization, custom_record, episode |
archived | query · boolean |
A field definition
GET /fields/{id}
Scope workspace:read · Cost 1
Parameters
| Name | Type | Description |
|---|---|---|
id required | path · integer |
Products
GET /products
Scope workspace:read · Cost 1
Parameters
| Name | Type | Description |
|---|---|---|
status | query · string | One of: active, archived, all |
limit | query · integer | |
after | query · string |
Statuses
GET /statuses
Scope workspace:read · Cost 1
Teams
GET /teams
Scope workspace:read · Cost 1
Parameters
| Name | Type | Description |
|---|---|---|
archived | query · boolean |
A team
GET /teams/{id}
Scope workspace:read · Cost 1
Parameters
| Name | Type | Description |
|---|---|---|
id required | path · string |